Docs
API reference

Delete a webhook endpoint

DELETE
/api/v1/webhook-endpoints/{id}

Deletes the endpoint and its signing secrets and cancels deliveries still waiting. Delivery history for it is no longer reachable.

Required scope: webhooks:write.

Errors

  • 400: unknown_field
  • 401: authentication_required, invalid_api_key
  • 403: api_access_disabled, insufficient_scope
  • 404: webhook_endpoint_not_found
  • 422: invalid_parameter
  • 429: rate_limit_exceeded
  • 500: api_error
  • 503: maintenance_mode, service_unavailable

Authorization

ApiKey
headerAuthorizationBearer <probb_live_<id>_<secret>>

Path Parameters

id*string

The webhook endpoint's ID.

Length1 <= length <= 200

Response Body

Success.

application/json
  1. response
object*string
id*string
deleted*boolean
Example Request
# Set PROBB_URL and PROBB_API_KEY. Replace any *_VALUE placeholder and any example ID (such as job_example) with a real one.curl --fail-with-body -X DELETE "$PROBB_URL/api/v1/webhook-endpoints/ID_VALUE" \  -H "Authorization: Bearer $PROBB_API_KEY"
Example Response
{  "object": "webhook_endpoint",  "id": "string",  "deleted": true}